Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786534 - app-arch/advancecomp-2.2_pre20190301 fails to compile with gcc-11
Summary: app-arch/advancecomp-2.2_pre20190301 fails to compile with gcc-11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-28 19:21 UTC by Agostino Sarubbo
Modified: 2021-04-29 19:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,16.95 KB, text/plain)
2021-04-28 19:21 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-28 19:21:24 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-arch/advancecomp-2.2_pre20190301 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-28 19:21:26 UTC
Created attachment 703446 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-28 19:21:28 UTC
Possible context of error(s):

file.h:70:43: error: ISO C++17 does not allow dynamic exception specifications
Comment 3 Matt Whitlock 2021-04-29 17:16:19 UTC
Dropping this patch…

  https://github.com/amadvance/advancecomp/pull/6.patch

…into /etc/portage/patches/app-arch/advancecomp-2.2_pre20190301/ allows the build to complete successfully.

Thanks, Michał.
Comment 4 Sam James archtester gentoo-dev Security 2021-04-29 17:17:56 UTC
Merged upstream.
Comment 5 Larry the Git Cow gentoo-dev 2021-04-29 19:56:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30eb83dd80937406bc984e5834b82e73f8738be3

commit 30eb83dd80937406bc984e5834b82e73f8738be3
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2021-04-29 18:41:13 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2021-04-29 19:55:43 +0000

    app-arch/advancecomp: Backport C++17 (GCC 11) fix
    
    Closes: https://bugs.gentoo.org/786534
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 .../advancecomp/advancecomp-2.2_pre20190301.ebuild |   7 +-
 .../files/advancecomp-2.2_pre20190301-gcc-11.patch | 184 +++++++++++++++++++++
 2 files changed, 189 insertions(+), 2 deletions(-)